You are not logged in.

#1 2023-01-31 22:00:19

bashM0nk3y
Member
From: the big she-bang
Registered: 2018-05-26
Posts: 49

[SOLVED] Pacman arch-keyring gpg error, but upgrade still completes?

I just ran a

pacman -Syu --noconfirm

and it appears to have completed successfully (i.e. exit code = 0), but the `upgrading arch-keyring` step produced ~27,000 lines of gpg errors. It's only been 5 days since my last `-Syu`.

After the arch-keyring step errored out for a while it seems like the update continued on normally after logging `==> ERROR: Trust database could not be updated.`.

Where should I investigate next to diagnose the issue? I'm a little puzzled that the upgrade didn't error out, because all of the keyring related errors I've ran into in the past have completely prevented an upgrade from completing.

Truncated output:

(15/60) upgrading archlinux-keyring                                                             [########################################################] 100%
==> Appending keys from archlinux.gpg...
gpg: [don't know]: invalid packet (ctb=00)
gpg: keyring_get_keyblock: read error: Invalid packet
gpg: keydb_get_keyblock failed: Invalid keyring
gpg: validate_key_list failed
gpg: [don't know]: invalid packet (ctb=00)
gpg: keydb_search failed: Invalid packet
gpg: [don't know]: invalid packet (ctb=00)
gpg: keydb_search failed: Invalid packet
gpg: [don't know]: invalid packet (ctb=00)
gpg: keydb_search failed: Invalid packet
...
...
### ~27,000 lines of the same errors
...
...
gpg: [don't know]: invalid packet (ctb=00)
gpg: keydb_search failed: Invalid packet
gpg: [don't know]: invalid packet (ctb=00)
gpg: keyring_get_keyblock: read error: Invalid packet
gpg: keyring_get_keyblock failed: Invalid keyring
gpg: failed to rebuild keyring cache: Invalid keyring
gpg: marginals needed: 3  completes needed: 1  trust model: pgp
gpg: [don't know]: invalid packet (ctb=00)
gpg: keyring_get_keyblock: read error: Invalid packet
gpg: keydb_get_keyblock failed: Invalid keyring
gpg: validate_key_list failed
==> ERROR: Trust database could not be updated.
error: command failed to execute correctly
(16/60) upgrading bind                                                                          [########################################################] 100%
(17/60) upgrading btrfs-progs                                                                   [########################################################] 100%
(18/60) upgrading c-ares                                                                        [########################################################] 100%
(19/60) upgrading noto-fonts                                                                    [########################################################] 100%
(20/60) upgrading mpg123                                                                        [########################################################] 100%
(21/60) upgrading tracker3                                                                      [########################################################] 100%
(22/60) upgrading firefox                                                                       [########################################################] 100%
(23/60) upgrading fwupd-efi                                                                     [########################################################] 100%
...
...
...

Last edited by bashM0nk3y (2023-02-15 23:02:46)

Offline

#2 2023-01-31 22:47:03

seth
Member
Registered: 2012-09-03
Posts: 50,938

Re: [SOLVED] Pacman arch-keyring gpg error, but upgrade still completes?

gpg: keyring_get_keyblock failed: Invalid keyring
gpg: failed to rebuild keyring cache: Invalid keyring

Another instance of https://bugs.archlinux.org/task/76580 ?
This would require to https://wiki.archlinux.org/title/Pacman … l_the_keys

Offline

#3 2023-02-15 23:02:18

bashM0nk3y
Member
From: the big she-bang
Registered: 2018-05-26
Posts: 49

Re: [SOLVED] Pacman arch-keyring gpg error, but upgrade still completes?

@seth Resetting the keys fixed the issue. Thanks!

Just a little more info...

Subsequent `pacman -Syu` operations left me in the expected state of not being able to import the new keys resulting in a "Errors occurred, no packages were upgraded". This is what I thought I would see the first time around, but :shrug:

Last edited by bashM0nk3y (2023-02-15 23:06:25)

Offline

Board footer

Powered by FluxBB